Nornir Netmiko timeout issue

I have setup a Nornir script to get running config from Dell switches. The script works on all switches except one and I have tried different troubleshooting steps to resolve the issue but still get the same error. The output error is below.

Traceback (most recent call last):
File “/home/jcoburn/.local/lib/python3.6/site-packages/netmiko/base_connection.py”, line 920, in establish_connection
self.remote_conn_pre.connect(**ssh_connect_params)
File “/home/jcoburn/.local/lib/python3.6/site-packages/paramiko/client.py”, line 412, in connect
server_key = t.get_remote_server_key()
File “/home/jcoburn/.local/lib/python3.6/site-packages/paramiko/transport.py”, line 834, in get_remote_server_key
raise SSHException(“No existing session”)
paramiko.ssh_exception.SSHException: No existing session

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/jcoburn/.local/lib/python3.6/site-packages/nornir/core/task.py”, line 98, in start
r = self.task(self, **self.params)
File “/home/jcoburn/.local/lib/python3.6/site-packages/nornir_netmiko/tasks/netmiko_send_command.py”, line 26, in netmiko_send_command
net_connect = task.host.get_connection(CONNECTION_NAME, task.nornir.config)
File “/home/jcoburn/.local/lib/python3.6/site-packages/nornir/core/inventory.py”, line 448, in get_connection
extras=conn.extras,
File “/home/jcoburn/.local/lib/python3.6/site-packages/nornir/core/inventory.py”, line 499, in open_connection
configuration=configuration,
File “/home/jcoburn/.local/lib/python3.6/site-packages/nornir_netmiko/connections/netmiko.py”, line 59, in open
connection = ConnectHandler(**parameters)
File “/home/jcoburn/.local/lib/python3.6/site-packages/netmiko/ssh_dispatcher.py”, line 312, in ConnectHandler
return ConnectionClass(*args, **kwargs)
File “/home/jcoburn/.local/lib/python3.6/site-packages/netmiko/base_connection.py”, line 346, in init
self._open()
File “/home/jcoburn/.local/lib/python3.6/site-packages/netmiko/base_connection.py”, line 351, in _open
self.establish_connection()
File “/home/jcoburn/.local/lib/python3.6/site-packages/netmiko/base_connection.py”, line 950, in establish_connection
raise NetmikoTimeoutException(msg)
netmiko.ssh_exception.NetmikoTimeoutException: Paramiko: ‘No existing session’ error: try increasing ‘conn_timeout’ to 10 seconds or larger.

I am able to ssh with key authentication manually without issue. I have tried increasing the timeout but still get the same error, Any info or suggestions is much appreciated.